2004-10-18  paulk  <paulk@paulk_homepc>

	* jde-junit.el: Add unit test support.

	* regress.el: Initial revision.

	* jde-jdb.el: Wrap call to comint-exec in save-w32-show-window macro.

	* jde.el: Bump version number. Add self-test infrastructure.

	* jde-dbs.el: Added self test.

	* jde-bug.el: Updated copyright notice.

2004-10-16  paulk  <paulk@paulk_homepc>

	* dist.makefile: added regress.el to distribution.

	* jde-dbs.el: Fix regression caused by refactoring.

2004-10-15  paulk  <paulk@paulk_homepc>

	* jde-junit.el:
	Added ability to define a prefix or suffix for tester class names.

	* jde.el:
	Bumped version number to 2.3.4beta7. Added Unit Test to JDE New menu.

2004-10-14  paulk  <paulk@paulk_homepc>

	* beanshell.el:
	Set process-connection-type to nil (always uses pipes for process I/O)
	when starting a beanshell comint buffer. This change is intended to
	avoid code 129 errors that occur on some versions of Linux.

2004-10-13  paulk  <paulk@paulk_homepc>

	* jde-run.el: Configured the JDEE to always use pipes (rather than
	pseudo terminals) to communicate with external processes (see
	process-connection-type for more info). This change assumes that
	Java processes expect to use pipes.  This change fixes a "Code 129"
	error with XEmacs on some Linux operating systems and may fix
	similar errors on Linux with Emacs.

	* ReleaseNotes.txt: Note recent changes.

2004-10-11  paulk  <paulk@paulk_homepc>

	* jde-compat.el: Various updates.

	* jde-junit.el: Initial version.

	* jde-gen.el: Moved JUnit templates to jde-junit.el.

	* dist.makefile: Added jde-junit.el to JDEE distribution.

	* jde.el: Back out junit jar.

2004-10-09  paulk  <paulk@paulk_homepc>

	* jde-dbs.el:
	Fix Emacs interface to JDEbug so that it handles chunked responses to debugger commands.

	* jde-run.el:
	If jde-run-application-class is a jar file, expand any environment variables or relative path indicators in the jar file path. Thanks to Joshua Spiewak.

2004-10-06  paulk  <paulk@paulk_homepc>

	* jde-help.el: Removed dead code.

	* jde-help.el:
	Fixes bug that caused generation of an extra slash in  URLs for local files on UNIX systems.

	* jde-help.el: Add jde-help-browser-function customization variable.

2004-10-03  paulk  <paulk@paulk_homepc>

	* jde-jdb.el:
	Fix regression caused by renaming jde-jdb-debuggee as jde-jdb-debuggee-app.

2004-09-30  paulk  <paulk@paulk_homepc>

	* jde-import.el:
	Change the default threshhold for collapsing imports to two classes. This causes the JDEE to collapse imports for any package from which the current buffer imports at least two classes.

	* jde-import.el:
	Expand and fix documentation for jde-import-collapse-import command.

2004-09-27  paulk  <paulk@paulk_homepc>

	* jde-help.el:
	Fix jde-help-show-class-member-doc so that it creates a metafile only
	if the user is using the default Windows browser, i.e., Internet
	Explorer. This change allows the JDEE to use w3m (specifically,
	w3m-browse-url) to display Javadoc.

2004-09-21  paulk  <paulk@paulk_homepc>

	* jde.el:
	Created an Import submenu under the Code Generation menu. The submenu contains all import-related commands.

	* ReleaseNotes.txt: Note enhancements.

	* jde-import.el:
	Include Martin Schwamberger's jde-import-expand-imports command.

	* jde-plugins.el:
	Teach JDEE to ignore a CVS or RCS directory in the plugins directory.

2004-09-20  paulk  <paulk@paulk_homepc>

	* jde.el, jde-db.el, jde-jdb.el:
	Changes needed to make restructured debugging code work for applets.

2004-09-02  paulk  <paulk@paulk_homepc>

	* jde-db.el: More infrastructure work to support applet debugging.

	* jde-jdb.el: More infrastructure work to support debugging of applets.

2004-09-01  paulk  <paulk@paulk_homepc>

	* jde-jdb.el, jde-db.el: Restructured to accommodate debugging applets.

2004-08-25  paulk  <paulk@paulk_homepc>

	* jde.el: Add menu item to display Beanshell help.

	* jde-help.el: Add jde-help-beanshell.

2004-08-23  paulk  <paulk@paulk_homepc>

	* jde-complete.el: Change name of jde-complete-invoke-getClassInfo to
	jde-complete-invoke-get-class-info to conform to Lisp naming
	conventions. Have this function invoke jde-jeval-r instead of
	bsh-eval-r to ensure that class info is updated when starting
	Beanshell.

2004-08-21  paulk  <paulk@paulk_homepc>

	* jde-ant.el: Update the wizard class list after building a project.

	* jde-make.el:
	Update the JDEE wizard class list after making a project.

	* jde-compile.el: Update the wizard class list after compiling a class.

2004-08-11  paulk  <paulk@paulk_homepc>

	* ReleaseNotes.txt:
	Note enhancements to import commands contributed by Martin Schwamberger.

	* jde-import.el:
	Includes enhancements contributed by Martin Schwamberger.

2004-08-10  paulk  <paulk@paulk_homepc>

	* makefile:
	Compatibility fix to allow makefile to work on Sun systems. Thanks to Ed Mooney.

2004-08-03  paulk  <paulk@paulk_homepc>

	* jde-compile.el:
	Emacs 21.3.5 compatibility fix: Updated jde-compile-finish-kill-buffer to include prefix argument which is not optional in Emacs 21.3.5.

2004-08-01  paulk  <paulk@paulk_homepc>

	* jde-checkstyle.el:
	Removed optional mode name from call to compilation-mode in jde-checkstyle-create-checker-buffer. This is necessary for compatibility with the latest Emacs, which no longer accepts the optional argument.

	* jde-help.el:
	Fixed jde-help-show-class-member-doc to call jde-help-show-document from the JDEE buffer instead of the temp buffer to ensure that JDEE customizations are in effect, in particular, browse-url-browser-function. Thanks to Dan Katz.

2004-07-09  paulk  <paulk@paulk_homepc>

	* jde-parse-class.el:
	Eliminated initialization of loop variable i to 0 in
	jde-parse-class-get-constants. It does not seem necessssary as dotimes
	initializes the variable itself to 0. Further, the initialization
	turned i into a free variable, causing a compiler warning. I tested
	jde-parse-class-get-constants before and after this change and the
	change made no difference.

	* jde-open-source.el:
	Update to reflect new nomenclature in semantic 2.0.

2004-07-08  paulk  <paulk@paulk_homepc>

	* jde-autoload.el: Update to reflect changes in jde-javadoc.el.

	* jde-javadoc.el:
	Update to reflect semantic 2.0 tag (previously token) nomenclature. This is necessary to eliminate byte-compilation warnings.

	* jde-autoload.el: Update.

2004-07-07  paulk  <paulk@paulk_homepc>

	* jde-java-font-lock.el:
	Made changes to eliminate byte-compilation warnings.

2004-07-06  paulk  <paulk@paulk_homepc>

	* jde-imenu.el:
	Convert to new tag nomenclature used by semantic 2.0 to avoid
	byte-compilation errors caused by references to obsolete names.

	* jde-gen.el:
	Move require for jde-package to jde-compat.el el allow autoloading of
	jde-package without causing compile errors.

	* jde-gen.el:
	Require jde-package and other changes intended to eliminate byte-compilation errors.

	* jde-ejb.el:
	Replace calls to template aliases to the actual template function
	names. This is intended to eliminate undefined function messages when
	byte-compiling this library.

	* jde-ejb.el:
	Provide defvars and jde- prefixes for global variables used in
	templates, e.g., jde-current-ejb-name. This eliminates
	byte-compilation warnings about undefined variables. Also, replace
	references to functions that get the values of these variables with
	the values themselves as this eliminates a function evaluation that
	seems to serve no useful purpose.

	* makefile:
	Change makefile to not byte-compile any file whose name ends in -xemacs.el, e.g., jde-xemacs.el and efc-xemacs.el.

	* jde.el:
	Optionally enable jde-electric-return-mode when buffer is loaded.

	* jde-parse.el, jde-project-file.el, jde-util.el:
	- Move jde-get-java-source-buffers and allied functions to jde-util.el.
	- Create jde-get-project-source-buffers.
	- Replace jde-get-current-project-buffers with jde-get-project-source-buffers.

	* jde-gen.el:
	Fix bug that caused inconsistent enabling of electric return mode.

2004-07-01  jslopez  <jslopez@paulk_homepc>

	* efc.el, jde-ant.el, jde-checkstyle.el, jde-compat.el:
	Compatibility fix for emacs in CVS. Replaces jde-xemacsp check for boundp for
	the following variables: compilation-nomessage-regexp-alist,
	compilation-file-regexp-alist, compilation-leave-directory-regexp-alist,
	compilation-enter-directory-regexp-alist. Uses the compilation-mode without a
	parameter. The emacs in CVS does not contain the variables, or the parameter
	for compilation mode.

2004-06-29  paulk  <paulk@paulk_homepc>

	* jde-gen.el: Cosmetic change.

2004-06-23  paulk  <paulk@paulk_homepc>

	* jde-autoload.el: Update for JDEE 2.3.4beta5.

	* ReleaseNotes.txt: Update please read section.

	* jde.el: Update to require cedet 1.0beta2.

2004-06-22  jslopez  <jslopez@paulk_homepc>

	* jde-jdb.el:
	Removes extra point from the class being passed to jde-db-set-debug-cursor.
	It has an extra dot i.e. com.company..MyClass.

2004-06-21  jslopez  <jslopez@paulk_homepc>

	* ReleaseNotes.txt, jde-db.el:
	Fixes problem with jdb breakpoints. Opening a new java file after setting a
	breakpoint will prevent the user from removing the breakpoint. The method
	jde-db-remark-breakpoints was not taking into account if the current buffer was
	the same as the buffer of the breakpoint. This has the side effect of messing
	th e markers for all the breakpoints that did not belong to the current buffer.

2004-06-13  paulk  <paulk@paulk_homepc>

	* jde-complete.el:
	Update to use semantic-idle-summary mode to display signature of symbol at point. TThanks to David Ponce.

2004-06-07  paulk  <paulk@paulk_homepc>

	* jde-autoload.el: Update to latest beta.

	* jde.el: Make jde-bsh-run autoloadable.

	* jde.el:
	- Made jde-entering-java-buffer-hook non-customizable. This variable is part
	  of the project-switching machinery and therefore should not itself be
	  customizable.

	- Made various changes intended to make the JDEE's project-switching
	  code more robust.

	* jde-xemacs.el: Define run-with-timer and run-with-idle-timer.

	* jde-project-file.el:
	Catch errors in jde-reload-project-file to avoid nullifying other entering Java buffer
	hooks.

	* jde-which-method.el:
	Catch errors and print a message in update hook function.

2004-06-06  ahyatt  <ahyatt@paulk_homepc>

	* jde-xref.el:
	Fixed bug with jde-xref-next-caller - discovery and fix by Raul Acevedo

2004-06-06  paulk  <paulk@paulk_homepc>

	* jde-complete.el:
	Remove references to obsolete (i.e., pre-cedet 1.0) semantic symbols in eldoc
	display code. These are no longer necessary because the JDEE now
	requires cedet and they cause distracting compile warnings.

	* beanshell.el: Fixed reference to obsolete font-lock variable.

	* jde-parse.el:
	Replaced obsolete semantic functions with their semantic 2.0 equivalents and eliminated
	free variables that were causing compile errors.

	* jde-util.el:
	Move subst-char-in-string definition from jde.el to here.

2004-06-05  paulk  <paulk@paulk_homepc>

	* jde.el: Change jde-submit-problem-report to report the cedet version.

2004-06-04  paulk  <paulk@paulk_homepc>

	* jde-autoload.el: Update to beta5.

	* jde-project-file.el: Fixed the following bugs:
	 - Variable from default value to nil not saved in project file.
	 - Variable whose customization has been erased is not removed from project file.

2004-06-03  paulk  <paulk@paulk_homepc>

	* jde.el:
	Restore make-local-hook for post-command-hook. Needed for XEmacs compatibility. Thanks to David Ponce.

	* jde.el:
	Change radio button items on JDE menu to toggle button items. Thanks to Jens Lautenbacher.

	* beanshell.el: Remove unnecessary format clauses in assert forms.

	* jde.el: Add Remove item to Documentation submenu.

	* jde-javadoc.el:
	Add jde-javadoc-remdoc-at-line command. Thanks to David Ponce.

	* jde.el: Check for cedet not installed. Thanks to David Ponce.

	* jde-widgets.el: jde-require tree-widget.

	* dist.makefile: Replace tree-widget.el with jde-tree-widget.el.

	* jde-tree-widget.el: Initial revision.

	* tree-widget.el:
	No longer needed because it is now included in the Emacs distribution.

	* jde-dbs.el, jde-dbo.el: jde-require tree-widget.

2004-06-02  paulk  <paulk@paulk_homepc>

	* ReleaseNotes.txt: Note beta5 changes.

	* makefile:
	Updated makefile for compiling the JDEE Lisp code to support cedet.

2004-05-28  paulk  <paulk@paulk_homepc>

	* jde.el:
	Change required package version checking to check for cedet instead of semantic/eieio.

	* jde-gen.el: Add jde-gen-main-method to jde-gen-code-templates.

	* jde-ant.el:
	Quote ant-home on the command line if it contains a space.

	* jde-java-font-lock.el: Remove DOS line endings.

2004-05-27  paulk  <paulk@paulk_homepc>

	* jde-parse.el:
	Replace regular-expression-based implementation of jde-parse-get-package-name with one based on cedet. Thanks to Suraj Acharya.

2004-05-26  paulk  <paulk@paulk_homepc>

	* jde-compile.el: Fix version-matching bug in jde-compile-get-javac.

2004-05-19  paulk  <paulk@paulk_homepc>

	* jde-import.el:
	Wrap all of jde-import-organize in a save-excursion form.

2004-05-18  paulk  <paulk@paulk_homepc>

	* ReleaseNotes.txt, jde-autoload.el: Update.

2004-05-17  paulk  <paulk@paulk_homepc>

	* jde-import.el:
	Cedet compatibility fix: change reference to semantic-toplevel-bovine-table to semantic--parse-table.

2004-05-16  paulk  <paulk@paulk_homepc>

	* jde.el: Fix require order error.

	* jde.el: Move custom-set-default definition before library requires.

	* jde-xemacs.el: Define match-string-no-properties.

	* jde-wiz.el: Fix various bugs in jde-wiz-tostring command.

	* jde.el: Change call to jdw-wiz-tostring to jde-wiz-tostring.

2004-05-14  paulk  <paulk@paulk_homepc>

	* jde-java-font-lock.el:
	Update to support c-doc-face-name if defined. Thanks to David Ponce.

	* jde-wiz.el: - Remove extra space in generated get/set methods.
	- Adds the customization variable jde-wiz-tostring-static-members.
	- Enhances jde-wiz-tostring to respect the coding style specified
	  by jde-gen-k&r.

	Thanks to Yoon Kyung Koo.

	* jde-gen.el, jde.el:
	- Compatibility fix to make cflow abbreviations work in XEmacs.
	  Thanks to Martin Schwamberger.
	- Provide a new JDE->Code Generation->Modes menu with items for
	  enabling abbrev mode and electric return mode.

	* jde-xemacs.el:
	Provide XEmacs definitions for line-beginning-position and line-end-position.

	* jde-db.el, jde-util.el:
	Moved jde-line-beginning-position and jde-line-end-position from
	jde-db.el to jde-util.el. Ultimately, these functions should be
	replaced by line-beginning-position and line-end-position as
	jde-xemacs.el provides XEmacs definitions for both functions.

	* jde-gen.el: Add jde-gen-test-cflow-templates command.

2004-05-12  jslopez  <jslopez@paulk_homepc>

	* ReleaseNotes.txt: Adds comment for fixes to jdb.

	* jde-jdb.el:
	Adds safety check to set the stack depth to 1 if it is not set. This can
	happens if the regexpression fails, i.e A thread name with a character not in
	the regexpression. Enhances the regexpression to parse the line number to allow
	number larger than 999. Enhances the regexpression that parser the where
	command to allow spaces and '-' since those are valid thread names. In
	additions, adds support for line number larger than 999. Fixes unbound variable
	"port" in jde-jdb-connect method.

2004-05-05  paulk  <paulk@paulk_homepc>

	* ReleaseNotes.txt: Note beta 3 changes.

2004-05-04  paulk  <paulk@paulk_homepc>

	* jde.el:
	jde-init-abbrev-table gives t as expansion. This avoids downcasing of abbreviations used in comments. Thanks
	to Martin Schwamberger.

	* jde-import.el, jde-javadoc.el: Force reparsing with semantic 1.4.

	* jde-parse.el:
	Removes unnecessary \n in jde-parse-java-comment-re that can cause an infinite loop. Thanks to Martin Schwamberger.

	* jde-gen.el:
	- Reworks the cflow templates so that tempo is no longer invoked if point is in an comment or string.
	- jde-gen-comments now defaults to nil to permit control flow templates to conform to style guidelines.
	- Cosmetic changes.

	  Thanks to Martin Schwamberger.

	* jde-autoload.el: Update for JDEE 2.3.4beta3.

	* beanshell.el:
	Eliminate optional argument to compilation-mode to ensure compatiblity with next release of Emacs.

	* dist.makefile: Replace sregex with jde-regex in distribution.

2004-05-03  paulk  <paulk@paulk_homepc>

	* jde-autoload.el: Update for jde 2.3.4beta3.

	* sregex.el: Replaced by jde-sregex.el.

	* jde-sregex.el: Initial revision.

	* jde-import.el, jde-parse.el:
	(jde-require 'sregex) to avoid shadowing standard version. Thanks to David Ponce.

	* jde-util.el: Adds jde-require function. Thanks to David Ponce.

	* jde.el: Cosmetic change.

	* jde.el: Adds toString method wizard to Wizards menu.

	* jde-wiz.el:
	Initial implementation of jde-wiz-tostring command. Thanks to Jeff Jensen.

	* jde-parse.el:
	Fix jde-parse-get-unqualified-name to return an unqualified name passed to it as an argument instead of nil.

2004-04-30  paulk  <paulk@paulk_homepc>

	* jde.el: Add Electric Return item to the code generation menu.

	* jde-gen.el: Implements electric return mode.

	* beanshell.el:
	Makes beanshell not depend on compilation- variables being defined.

2004-04-29  paulk  <paulk@paulk_homepc>

	* jde-complete.el:
	Patch from David Ponce to to make eldoc-like stuff compatible with Semantic version 2 (cedet 1.0).

	* jde-dbs.el: Fix regression in jdb interface. Thanks to Jack Donohue.

	* jde.el:
	Fix regressions caused by enhancement to jde-expand-directory.

	* sregex.el: Initial revision.

2004-04-15  paulk  <paulk@paulk_homepc>

	* jde-compile.el: Add "default" option to jde-compile-option-source.

2004-03-24  paulk  <paulk@paulk_homepc>

	* jde-gen.el:
	Correct version of jde-gen-save-excursion from Martin Schwamberger.

2004-03-22  paulk  <paulk@paulk_homepc>

	* jde-which-method.el: jde-which-method-update
	- forces modeline update if necessary
	- removed: (setq jde-which-method-current-point p)
	   it caused a warning and seems to be unnecessary.

	Thanks to Martin Schwarmberger.

	* jde-parse.el: jde-parse-get-class-modifiers
	- new function, used by jde-gen-final-method-modifier

	jde-parse-get-innermost-class-at-point
	- returns the position of the first character of the class keyword
	- identifies anonymous classes.
	   This will be needed for templates that generate anonymous classes.

	jde-parse-comment-or-quoted-p
	- reimplemented using parse-partial-sexp

	Thanks to Martin Schwarmberger.

	* jde-import.el:
	jde-import-get-import-insertion-point takes class documention into account.
	It no longer destroys class documentation. Also improved insertion of newlines.
	Thanks to Martin Schwarmberger.

	* jde-wiz.el:
	Enhance the get/set wizard to use jde-gen-method-signature. Thanks to Martin Schwamberger.

	* jde-javadoc.el:
	Committed for Martin Schwamberger. Make jde-javadoc-insert-end-block
	ready for use in templates.

	* jde-gen.el:
	Changes by made Martin Schwamberg as part of his project to make the JDEE templates
	conform to CheckStyle default style:

	jde-gen-read-template
	- separates lines by newline in order to allow lisp comments.

	jde-gen-final-argument-modifier
	- inserts final modifier to each method argument
	   if jde-gen-final-arguments is t.

	jde-gen-final-method-modifier
	- inserts final modifier to methods if jde-gen-final-methods is t
	   and the class itself is not final.

	jde-gen-save-excursion
	- allows invocation of tempo-templates within tempo-templates.

	jde-gen-electric-brace
	- named after c-electric-brace, which is a candidate
	   as a replacement of the current code once all
	   templates use this function.
	- inserts brace according to jde-gen-k&r.
	   so far, used by
	   jde-gen-class-buffer-template
	   jde-gen-interface-buffer-template
	   jde-gen-get-set-var-template
	   jde-gen-method-template

	jde-gen-indent
	- indents a line only if it is empty

	jde-gen-get-interface-implementation
	- new argument insert-immediately.
	- made insertion point a marker.

	jde-gen-method-signature
	- inserts final modifiers using jde-gen-final-argument-modifier
	   and jde-gen-final-methods.

	jde-gen-class-buffer-template
	- completely reworked.

	jde-gen-class-buffer
	- subsequent template manipulation removed.

	jde-gen-interface-buffer-template
	- completely reworked.

	jde-gen-interface-buffer
	- subsequent template manipulation removed.

	jde-gen-get-set-var-template
	- rework

	jde-gen-method-template
	- rework

	jde-gen-section-comment-template
	- removed: "(end-of-line) '&"

2004-03-21  paulk  <paulk@paulk_homepc>

	* ReleaseNotes.txt: Note various changes.

	* beanshell.el:
	The beanshell redirect filter now restores the standard filter only when the Beanshell prompt reappears. This ensures that the redirect filter redirects the entire output of the previous Beanshell expression evaluation. Thanks to Jörg Mensmann.

	* jde-import.el: Removed Philip Lord's prototype code.

	* jde.el:
	Added jde-import-all to the JDEE menu and to the key binding table.

	* jde-custom.el: Get rid of DOS line endings.

	* jde-javadoc-gen.el:
	Fixed incorrect handling of jde-javadoc-gen-args option that caused a Lisp error.

2004-03-16  paulk  <paulk@paulk_homepc>

	* jde-import.el:
	Add a jde-import-all command contributed by Philip Lord.

	* efc.el: Define new efc-multi-option-dialog. Thanks to Philip Lord.

2004-03-07  paulk  <paulk@paulk_homepc>

	* jde-parse.el: Cosmetic.

	* jde-parse.el:
	Use sregexq to define and document regular expression for
	Java symbols (see jde-parse-java-symbol-re).

	* ReleaseNotes.txt: Note latest bugfixes and enhancements.

	* jde-parse.el:
	Enhanced jde-parse-find-declaration-of and jde-parse-valid-declaration-of to
	handle declarations of lists of symbols, e.g., String a, b, c;.

2004-03-04  paulk  <paulk@paulk_homepc>

	* jde.el:
	Update the jde-key-bindings variable to bind the Return key in Java buffers
	to jde-gen-embrace, a function that closes the opening brace at point.

	* jde-gen.el:
	Adds the jde-gen-embrace command. Thanks to Suraj Acharya.

	* jde-help.el:
	Adds the jde-help-wget-tries, jde-help-wget-timeout, and jde-help-wget-command-line-options
	variables. Thanks to Nick Sieger.

2004-03-03  paulk  <paulk@paulk_homepc>

	* jde-project-file.el:
	Moved project-related stuff to this file from jde.el.

	* jde.el: Moved project-related stuff to jde-project-file.el.

	* jde-java-font-lock.el:
	Fix bug that causes a (wrong-type-argument integerp nil) error when entering an import statement in a new Java file. Thanks to David Ponce.

2004-03-02  paulk  <paulk@paulk_homepc>

	* jde-run.el:
	Fixes bug that caused setting the jde-run-option-jar variable to t to
	cause a lisp error: "Wrong argument (listp, null)". Thanks to
	Stephanos Piperoglou.

	* jde-import.el:
	Update jde-import-excluded-packages to exclude packages that start with sun and com.sun. This classes contain classes named i and packages named e, confusing the JDEE when it tries to complete Iterator instances named i and Exception instances named e.

2004-02-24  paulk  <paulk@paulk_homepc>

	* ReleaseNotes.txt: Note jde-customize-variable command.

	* dist.makefile: Adds jde-custom.el

	* jde.el: Adds support for customization variable enhancements.

	* jde-project-file.el: Cosmetic change.

	* jde-custom.el: Initial revision.

2004-02-22  paulk  <paulk@paulk_homepc>

	* jde-compile.el: Update to support J2SDK1.5.0.

	* jde-run.el: Update to support JDK 1.5.

	* jde-java-grammar.el:
	Update to support cedet 1.0beta2. Thanks to David Ponce.

2004-02-21  paulk  <paulk@paulk_homepc>

	* jde-plugins.el: Fixed nasty bug in jde-pi-get-bsh-classpath.

	* jde-wiz.el:
	Adds jde-wiz-get-set-static-members option. Thanks to Petter  Måhlén.

	* jde-wiz.el:
	Deleted spurious space in generated get method. Thanks to Petter Mahlen.

	* jde-run.el:
	Xemacs compatibility fix: provide highlighting in stack traces. Thanks to Len Trigg.

2004-02-18  jslopez  <jslopez@paulk_homepc>

	* ReleaseNotes.txt: Adds notes for JDB fixes.

	* jde-jdb.el:
	When a breakpoint was requested on a line that does not contain code and jdb
	responded with "Unable to set breakpoint" it was being handle as a set
	breakpoint,i.e. the breakpoint was being activated. Modifies
	jde-jdb-set-breakpoint-listener to ignore this message. Modifies
	jde-db-cmd-notify-response to delete the breakpoint in this situation. In
	addition, adds a check for a null bp, in some instances it was null causing an
	error.

	* jde-db.el:
	Prevents issuing multiple set breakpoint commands to jdb once a breakpoint is
	already set.

2004-02-10  jslopez  <jslopez@paulk_homepc>

	* ReleaseNotes.txt, jde-db.el, jde-run.el:
	Adds the option "gigabytes" for stack size and heap size.

2004-02-09  paulk  <paulk@paulk_homepc>

	* dist.makefile: Added jde-project-file.el.

	* jde.el:
	Moved project-file code to a new package: jde-project-file.el.

	* jde-project-file.el:
	When switching projects, the JDEE now reinitializes only those variables that have
	project-specific values, i.e., that have been set in project files. This dramatically
	decreases project switching time. Thanks to Phillip Lord.

	* jde-ant.el:
	Setting jde-ant-working-directory now works when invoking ant via a script or a vm.
	Thanks to Stan Lanning.

2004-02-02  paulk  <paulk@paulk_homepc>

	* ReleaseNotes.txt: Note new Bean template.

	* jde-parse.el:
	Adds jde-parse-get-top-of-class and jde-parse-get-nth-member functions contributed by Paul Landes.

	* jde-gen.el: Adds jde-gen-bean-template. Thanks to Paul Landes.

	* jde.el:
	Added a Bean item to the JDE NEW menu. The item creates a skeleton Java bean in a new buffer.

	* jde-checkstyle.el:
	Added jde-checkstyle-finish-hook. Thanks to Len Trigg.

2004-01-13  paulk  <paulk@paulk_homepc>

	* jde-open-source.el:
	Some additional tweaks to jde-open-class-at-point.

	* jde-open-source.el:
	Rewrote jde-open-class-at-point to be more succinct and clear.

2003-12-28  paulk  <paulk@paulk_homepc>

	* jde.el: Semantic 2.0 compatibility fix.

2003-12-08  Paul Kinnucan  <paulk@mathworks.com>

	* jde-util.el: Update jde-find-class-source to work for inner classes.

2003-12-06  jslopez  <jslopez@paulk_homepc>

	* ReleaseNotes.txt: Adds notes to fix in jde-ant.

	* jde-ant.el:
	Fixes problem where jde-ant-program was being normalized unless it was set to
	ant or ant.bat. Now it only gets normalized if it contains '/' or a '\'.

2003-11-30  Paul Kinnucan  <paulk@mathworks.com>

	* jde-gen.el: Fix control flow templates to preserve case of unexpanded
	abbreviations in comments and strings.

2003-11-29  Paul Kinnucan  <paulk@mathworks.com>

	* efc.el:
	The efc-dialog-show method ofr efc-option-dialog now uses save-window-excursion
	to restore the user's original window conversion after showing the selection
	buffer.

	* jde.el:
	Change abbreviation for throws from throw to thro to avoid inadvertent completion of throw to throws.

2003-11-25  Paul Kinnucan  <paulk@mathworks.com>

	* jde.el:
	Fix regression that was causing abbrev-mode to be enabled for JDEE buffers even when jde-enable-abbrev-mode was set to nil. Also, enable abbrev-mode in all open JDEE buffers for the current project as a side effect of setting jde-enable-abbrev-mode on.

2003-11-23  Paul Kinnucan  <paulk@mathworks.com>

	* efc-xemacs.el:
	Don't try to use native widgets if this version of XEmacs does not support native widgets. Thanks to Len Trigg.

2003-11-18  Paul Kinnucan  <paulk@mathworks.com>

	* jde-run.el:
	Fix the jde-run command so that it prompts you for application arguments if jde-run-read-app-args is nonnil or if the jde-run command has a prefix argument.

2003-11-07  ahyatt  <ahyatt@paulk_homepc>

	* jde-xref.el: Invalid  hooks removed

2003-11-05  Paul Kinnucan  <paulk@mathworks.com>

	* jde-checkstyle.el: Cosmetic changes.

	* ReleaseNotes.txt: Note changes to CheckStyle interface.

2003-11-03  Paul Kinnucan  <paulk@mathworks.com>

	* jde-checkstyle.el: Updated to support CheckStyle 3.1.

2003-10-23  Paul Kinnucan  <paulk@mathworks.com>

	* jde-xemacs.el, jde-compat.el:
	Added compatibility fix for older versions of XEmacs. Thanks to Len Trigg.

	* jde.el:
	Added fix for compatibility with old versions of XEmacs. Thanks to Len Trigg.

2003-10-19  jslopez  <jslopez@paulk_homepc>

	* ReleaseNotes.txt: Adds notes for fixes to jde-ant.

	* jde-ant.el:
	Removes sit-for from jde-ant-filter. It causes the tool-bar and menu bar to
	redisplay annoyingly, plus it is not needed.

	* jde-ant.el: Fixes error in the jde-ant-filter.

2003-10-17  ahyatt  <ahyatt@paulk_homepc>

	* ReleaseNotes.txt, jde-xref.el:
	Speed improvements to jde-xref.  Thanks to Suraj Acharya.

2003-10-14  Paul Kinnucan  <paulk@mathworks.com>

	* jde.el:
	jde-count-open-java-buffers now saves match data before doing a string-match. This fixes compatibility problem with emacs-w3m.

2003-10-10  jslopez  <jslopez@paulk_homepc>

	* ReleaseNotes.txt:
	Adds notes for fix to jde-wiz-extend-abstract-class.

2003-10-09  ahyatt  <ahyatt@paulk_homepc>

	* jde-xref.el:
	David Ponce's fixes pertaining to the upcoming Semantic 2.0, plus
	fixes of my own to get his changes working with the existing code.

2003-10-06  jslopez  <jslopez@paulk_homepc>

	* ReleaseNotes.txt: Adds notes for the change.

	* jde-open-source.el, jde-parse.el:
	Fixes several broken cases with jde-open-class-at-point.

2003-09-28  Paul Kinnucan  <paulk@mathworks.com>

	* jde.el:
	Created a new buffer-local variable, jde-buffer-project-file, that stores
	the path of the project file for the current Java buffer. Updated
	jde-get-current-project-buffers to use this variable to test whether
	a given buffer is part of the current project. This should improve
	the performance of this function and hence loading of project files,
	which depends on it.

2003-09-28  Paul Kinnucan  <paulk@mathworks.com>

	* jde.el:
	Created a new buffer-local variable, jde-buffer-project-file, that stores
	the path of the project file for the current Java buffer. Updated
	jde-get-current-project-buffers to use this variable to test whether
	a given buffer is part of the current project. This should improve
	the performance of this function and hence loading of project files,
	which depends on it.

2003-09-27  Paul Kinnucan  <paulk@mathworks.com>

	* ReleaseNotes.txt, jde-parse.el:
	- Fix jde-parse-get-innermost-class-at-point to handle interface definitions.
	- Fix jde-parse-eval-type-of to handle methods that throw exceptions.

	Thanks to Suraj Acharya for these fixes.

2003-09-27  ahyatt  <ahyatt@paulk_homepc>

	* jde-dbo.el:
	Exceptions should break when the user selects to suspend the thread as
	well (not just when the user selects to suspect all threads).

2003-09-27  Paul Kinnucan  <paulk@mathworks.com>

	* jde-checkstyle.el:
	Normalize path of CheckStyle jar file to permit use on the cygwin versions
	of Emacs.

2003-09-27  ahyatt  <ahyatt@paulk_homepc>

	* ReleaseNotes.txt: Mentioned Suraj's fixes

	* jde-xref.el:
	Put in Suraj Acharya's fixes, fixed a no-prefix bug (but still don't allow no prefixes)

2003-09-24  Paul Kinnucan  <paulk@mathworks.com>

	* jde.el:
	Changed jde-normalize-path to support use of relative paths in .emacs
	files.  Previously, if a relative path appeared in a variable, e.g.,
	jde-global-path, that was set for the current project by the user's
	.emacs file (as opposed to a project file), jde-normalize-path would
	resolve the variable relative to the source buffer directory. Now
	jde-normalize-path resolves it relative to the location of the nearest
	project file in the source buffer directory tree. If the directory
	tree does not contain a project file, jde-normalize-path resolves the
	path relative to the source buffer directory.

2003-09-22  Paul Kinnucan  <paulk@mathworks.com>

	* jde-bug.el: Move Break on Exception menu item.

	* jde-gen.el: Restore missing parentheses.

	* jde-wiz.el: Cosmetic change.

	* jde-import.el: Cosmetic changes.

	* ReleaseNotes.txt: *** empty log message ***

	* jde-gen.el:
	Fix bug that was causing an extraneous space to be inserted in the
	condition clause of control flow expansions, such as if. Thanks to
	Sandip Chitale.

2003-09-21  Paul Kinnucan  <paulk@mathworks.com>

	* jde-bug.el:
	Enable Break on Exception menu item only when a debuggee process
	is running.

2003-09-21  Paul Kinnucan  <paulk@mathworks.com>

	* jde-imenu.el (jde-imenu-setup):
	Install correct override for Semantic 2.0. Submitted by David Ponce.

	* jde-javadoc.el:
	- (jde-javadoc-checker-show-report): Better interaction with
	  libraries that use the header-line in GNU Emacs 21.

	- (jde-javadoc-nonterminal-at-line): Use `forward-comment' to skip
	   comment at beginning of line.

	Submitted by David Ponce.

2003-09-18  Paul Kinnucan  <paulk@mathworks.com>

	* jde-run.el: Fixed bug.

	* jde-jdb.el:
	Replace the attach and listen commands with separate commands for
	attaching/listening via sockets and shared memory. This is necessary to support attaching via sockets on Windows platforms.

	* jde-db.el:
	Created a set of proxie classes for standard JPDA connectors. Added
	a connector slot to jde-db-debuggee class. This is intended to
	support connecting a debugger to a debuggee class in attach or
	listen mode.

2003-09-17  ahyatt  <ahyatt@paulk_homepc>

	* jde-bug.el: Added message to help users remove exception breakpoint

	* ReleaseNotes.txt, jde-bug.el, jde-dbo.el: Added exception breakpoints

2003-09-16  Paul Kinnucan  <paulk@mathworks.com>

	* jde-make.el:
	Update jde-make command to issue a cd to the default directory before invoking
	make and to restore the original cwd afterwards. This fixes a bug in the
	implementation of the jde-make-working-directory variable.

2003-09-14  Paul Kinnucan  <paulk@mathworks.com>

	* jde-run.el:
	Changed jde-run-option-debug to provide separate options for shared memory
	name, socket host, and socket port and to specify defaults explicitly.

2003-09-08  Paul Kinnucan  <paulk@mathworks.com>

	* jde-parse.el: Remove unnecessary require for semantic-bnf.

2003-09-07  Paul Kinnucan  <paulk@mathworks.com>

	* jde-wiz.el:
	Fix interface, abstract class, and method delegation wizards
	to observe jde-import-excluded-classes. Thanks to Martin
	Schwamberg.

	* jde-import.el:
	Extend jde-import-excluded-classes to exclude classes that
	belong to the same package as the importing class. Thanks to
	Martin Schwamberg.

2003-09-02  ahyatt  <ahyatt@paulk_homepc>

	* jde-xref.el:
	We weren't doing any subclass checks!  Fixed this problem, then fixed
	a problem where the subclass checks caused an infinite recursion
	problem.

2003-09-01  Paul Kinnucan  <paulk@mathworks.com>

	* jde-checkstyle.el:
	Removed the code that somebody added to prepend the package path to
	the source file name and hence force the checkstyle command to be run
	from the root of a package, thereby making it impossible to run from
	the menu.

	* jde-gen.el:
	Updates docstring for jde-gen-method-template to document its
	dependence on the new jde-gen-method-javadoc-comment variable.

	* jde-gen.el:
	Adds a customization variable, jde-gen-method-javadoc-comment,
	that enables you to specify the type of javadoc comment
	that the jde-gen-method-template generates for a skeleton method.

2003-08-28  Paul Kinnucan  <paulk@mathworks.com>

	* jde-help.el: Add jde-help-get-jdk-doc-url function.

	* jde-javadoc-gen.el:
	Now launches javadoc directly instead of via the current shell. This avoids the need
	to quote command-line arguments, which always causes problems.

2003-08-25  Paul Kinnucan  <paulk@mathworks.com>

	* jde.el:
	Added item to the Documentation submenu to display the Javadoc Tool Reference.

	* efc.el:
	Adds efc-compiler class. This class implements an Emacs interface to an external process
	that generates compiler-like output.

2003-08-05  ahyatt  <ahyatt@paulk_homepc>

	* jde-checkstyle.el:
	Fixes problem with using checkstyle on files not in top-level directory

2003-07-26  Paul Kinnucan  <paulk@mathworks.com>

	* jde-gen.el:
	Removed superfluous c-indent-function from control flow templates.

2003-07-19  Paul Kinnucan  <paulk@mathworks.com>

	* jde-open-source.el:
	Make error message for jde-open-class-at-point more meaningful.

2003-07-18  Paul Kinnucan  <paulk@mathworks.com>

	* jde-run.el: Prefixing the jde-run command (e.g., C-u C-c C-v C-r) now
	causes the command to  prompt you to enter application arguments.
	Prefixing the command with a - (e.g., C-u - C-c C-v C-r)
	causes the command to prompt you to enter the name of
	the application's main class as well as application arguments.
	In previous releases, prefixing the command caused it only
	to prompt for the application main class.

2003-07-15  Paul Kinnucan  <paulk@mathworks.com>

	* jde-java-font-lock.el: Remove CRs.

	* jde-compile.el: Update jde-compile-option-target.

2003-07-15  ahyatt  <ahyatt@paulk_homepc>

	* jde-xemacs.el: coding-system-list was not defined in non-MULE xemacs

	* jde-class.el: temp-directory was not always defined (in xemacs)

	* jde-xref.el:
	Fix for bug where users could not find the callers to interface functions

	* jde-parse.el:
	Fixed problem with private inner classes not being recognized by
	jde-parse-get-innermost-class-at-point

2003-07-15  Paul Kinnucan  <paulk@mathworks.com>

	* jde-help.el:
	Use jde-temp-directory to get directory for temporary files.

	* jde-util.el: Add jde-temp-directory function.

2003-07-11  Paul Kinnucan  <paulk@mathworks.com>

	* jde.el: Makes jde-cygpath a noop if system-type is not cygwin.

2003-07-09  ahyatt  <ahyatt@paulk_homepc>

	* jde-xref.el:
	Made jde-xref-store-prefixes non-optional.  I think if we didn't do
	this, most people would leave it blank, therefore significantly
	impacting both size of the database and the time and memory it takes
	to make it.

2003-07-08  Paul Kinnucan  <paulk@mathworks.com>

	* jde.el: Add documentation for jde-jeval- functions.

2003-07-06  Paul Kinnucan  <paulk@mathworks.com>

	* jde-java-font-lock.el:
	As of version 5.30, cc-mode provides its own set of font lock keywords and faces for
	Java: cc-fonts.  The JDEE now uses cc-fonts if defined. Thanks to David Ponce.

2003-07-01  Paul Kinnucan  <paulk@mathworks.com>

	* jde.el: Adds a jde-bsh-compile-mode-eval function. This function
	is intended to be used by plugins to invoke Java development
	utilities, such as source code style checkers, that emit
	compiler-like error messages.  Displaying the output in a
	compilation-mode buffer enables the user to use compilation-mode's
	error message navigation and hyperlinking capabilities.

2003-06-30  Paul Kinnucan  <paulk@mathworks.com>

	* jde-jdb.el: Provided help strings for Jdb menu items.

	* beanshell.el:
	Include bsh-vm-args in the command line that starts the BeanShell, thus fixing a
	regression error reported by TAKAHASHI Toru.

2003-06-27  Paul Kinnucan  <paulk@mathworks.com>

	* jde-util.el: Expand docstring for jde-root function.

2003-06-26  Paul Kinnucan  <paulk@mathworks.com>

	* jde.el:
	Fix regression introduced by changes to jde-root-dir-p in previous version.

	* ReleaseNotes.txt: Note bug fixes.

	* jde.el:
	- Now requires jde-autoloads for XEmacs installations that use
	  the independently distributed version of the JDEE rather than
	  the version that is packaged with XEmacs.

	- Provides a workaround for a bug in file-exists-p in the cygwin
	  version of XEmacs that prevented the JDEE from finding project
	  files. The bug is that file-exists-p denies the existence of
	  files whose native Windows paths (file-truename) end in a slash.

2003-06-24  Paul Kinnucan  <paulk@mathworks.com>

	* jde-ant.el:
	Fixed bug that caused noncompleting prompting for target to fail. Thanks to Christian Schmitt.

	* makefile:
	Conditionalize to compile jde-xemacs.el only for XEmacs. Thanks to Raul Acevedo.

	* jde.el:
	- Update jde-symbol-p to recognize variables defined by autoloaded packages
	  that have not yet been loaded. Thanks to Martin Schwamberger.

	- Fix jde-compile-jde to compile jde-xemacs.el only on Xemacs.

2003-06-22  Paul Kinnucan  <paulk@mathworks.com>

	* ReleaseNotes.txt: Fix and amplify.

	* ReleaseNotes.txt: note beta3 bug fixes

	* beanshell.el:
	Fix "unreadable object" error when XEmacs tries to load beanshell.elc.

2003-06-22  Paul Kinnucan  <paulk@mathworks.com>

	* ReleaseNotes.txt: note beta3 bug fixes

	* beanshell.el:
	Fix "unreadable object" error when XEmacs tries to load beanshell.elc.

2003-06-21  Paul Kinnucan  <paulk@mathworks.com>

	* jde-plugins.el: Fix typo. Thanks to Martin Schamberger.

2003-06-20  Paul Kinnucan  <paulk@mathworks.com>

	* jde-javadoc-gen.el: Update docstrings.

2003-06-19  ahyatt  <ahyatt@paulk_homepc>

	* jde-parse-class.el:
	Now compatible with emacs and xemacs versions without MULE

2003-06-18  Paul Kinnucan  <paulk@mathworks.com>

	* jde.el:
	Enhance jde-autoload-update to save and kill jde-autload.el buffer.

	* jde-plugins.el:
	Fix bug in jde-plugin-minor-mode's menu-installing code for XEmacs.

2003-06-18  Paul Kinnucan  <paulk@mathworks.com>

	* jde.el:
	Enhance jde-autoload-update to save and kill jde-autload.el buffer.

	* jde-plugins.el:
	Fix bug in jde-plugin-minor-mode's menu-installing code for XEmacs.

2003-06-17  Paul Kinnucan  <paulk@mathworks.com>

	* ReleaseNotes.txt: Corrections.

	* jde.el: - Change JDE->Documentation->Generate to Generate All.
	- Add JDE->Documentation->Generate Buffer.

	* ReleaseNotes.txt: Note javadoc generation enhancements.

	* jde-javadoc-gen.el:
	- Now uses jde-get-jdk-dir to determine the location of the javadoc
	  executable.

	- Adds a jde-javadoc-make-buffer command to generate doc only for the
	  source file in the current buffer.

2003-06-15  Paul Kinnucan  <paulk@mathworks.com>

	* jde-run.el: Enhance jde-run-option-debug to support suspend option.

	* jde-jdb.el: Fix docstrings for jde-jdb-attach and jde-jdb-listen.

2003-06-13  Paul Kinnucan  <paulk@mathworks.com>

	* jde-gen.el: Fix typo. Update copyright.

	* dist.makefile: Add jde-class to distribution.

2003-06-12  Paul Kinnucan  <paulk@mathworks.com>

	* jde-run.el:
	Change terminology in jde-run-option-debug to match documentation, i.e., Attach becomes Server mode and Listen becomes Client mode.

	* jde-jdb.el: Cosmetic fix to set-var command.

2003-06-09  Paul Kinnucan  <paulk@mathworks.com>

	* jde-plugins.el: Test for nonexistence of plugins directory.

2003-06-07  Paul Kinnucan  <paulk@mathworks.com>

	* jde-java-font-lock.el:
	Fix a small bug in the JDEE font lock on XEmacs 21.4.11. Thanks to Andrew Kensler.

	* efc.el:
	Fix regexp for matching Emacs versions. Thanks to David Ponce.

	* jde-complete.el:
	Prevent jde-mode from disabling the eldoc facility as
	soon as eldoc delays display of a message, which made semantic eldoc
	extensions practically unusable in Java buffers. Thanks to David Ponce.

2003-06-05  Paul Kinnucan  <paulk@mathworks.com>

	* ReleaseNotes.txt: Note fixes to jde-javadoc-gen.el.

	* jde-javadoc-gen.el:
	Add more precise check for existence of destination directory. Add
	call to jde-update-autoloaded-symbols to ensure that the autoloade
	customization variables defined by this package are initialized to the
	values defined by the current project.

2003-06-02  Paul Kinnucan  <paulk@mathworks.com>

	* jde-jdb.el:
	Reorganized Jdb->Display menu. Changed names of commands to reflect purpose, e.g., Display->Print
	becomes Display->Expression. Deleted Display-Eval because it is the same as Display->Expression.
	Moved Set (variable) command from the DIsplay submenu to the toplevel Jdb menu. Changed
	first Jdb->Set Variable prompt from "Expression: " to Variable: ".

2003-05-28  Paul Kinnucan  <paulk@mathworks.com>

	* jde-db.el:
	Deleted definition of jde-db-startup-commands variable, which is no longer used.

2003-05-27  Paul Kinnucan  <paulk@mathworks.com>

	* jde-jdb.el:
	Adds jde-jdb-help command. This command displays the JDB user's guide.

2003-05-22  ahyatt  <ahyatt@paulk_homepc>

	* jde-parse-class.el, jde-xemacs.el:
	Fixes to make jde-parse-class and jde-xref compatible with xemacs

2003-05-15  Paul Kinnucan  <paulk@mathworks.com>

	* jde-ant.el: Fix jde-ant-get-ant-home.

2003-05-14  Paul Kinnucan  <paulk@mathworks.com>

	* jde-jdb.el: Fix regression caused by renaming jdb classes.

	* jde-run.el:
	Corrected and expanded the doc string for jde-run-option-debug.

	* jde-jdb.el:
	Fix jde-jdb-attach and jde-jdb-listen to reflect replacement of
	jde-db-option-connect-address with jde-db-option-listen-address and
	jde-db-option-attach-address.

	* jde-db.el:
	Replace jde-db-option-connect-address with jde-db-option-listen-address and
	jde-db-option-attach-address.

	* ReleaseNotes.txt: Note change to jde-run-option-debug variable.

	* jde-run.el:
	Enhance jde-run-option-debug to permit specification of type of data transport
	to be used between debugger and debuggee process.

2003-05-13  Paul Kinnucan  <paulk@mathworks.com>

	* jde-jdb.el:
	The attach and listen commands now prompt for a connect address if jde-db-connect-address
	is nil. Also provided extensive doc strings for these commands.

	* jde-db.el:
	Change the jde-db-option-connect-address variable so that a nil
	value means that the debugger attach and listen commands should
	prompt for a connect address.

2003-05-10  ahyatt  <ahyatt@paulk_homepc>

	* jde-class.el:
	Fix assorted bugs dealing with with-all-corresponding-class-infos and using with-all-class-files with package specifiers while using jar files.

2003-05-07  Paul Kinnucan  <paulk@mathworks.com>

	* ReleaseNotes.txt:
	Note introduction of Andy Hyatt's class cross-reference tool.

2003-05-07  ahyatt  <ahyatt@paulk_homepc>

	* jde-xref.el: Uncommenting jde-update-autoloaded-symbols

2003-05-07  Paul Kinnucan  <paulk@mathworks.com>

	* beanshell.el:
	Include Lisp error in messages buffer when a Lisp error results from evaluating the result of a Java evaluation as Lisp.

2003-05-06  ahyatt  <ahyatt@paulk_homepc>

	* jde-class.el, jde-xref.el:
	Fixes recent regression with default-directory not getting set back after making the xref db (if the jde-built-class-path contains jars)

	* jde-class.el:
	Fixed problem with package variable, and the function to recursively delete a directory.

	* jde-dbs.el: Removing last checkin, which was a mistake

	* jde-dbs.el:
	Fixed problem with package variable, and the function to recursively delete a directory.

2003-05-03  Paul Kinnucan  <paulk@mathworks.com>

	* jde.el: Require jde-class package.

	* jde-xref.el:
	Fixed bug in jde-xref-update-xref-db that cause incorrect resolution
	of db path specified relative to project file.

	* jde-class.el: Fix typo in with-all-class-files.

2003-04-28  Paul Kinnucan  <paulk@mathworks.com>

	* jde.el:
	jde-mode now installs plugin menu if any plugins are installed on the user's system and the plugins have menus. beanshell startup now includes plugin classpaths in the beanshell classpath.

	* jde-plugins.el:
	Implemented installation of menus and beanshell classpath for plugins.

2003-04-17  jslopez  <jslopez@paulk_homepc>

	* jde.el: Points C-c C-v C-k from jde-bsh to jde-bsh-run.

2003-04-16  Paul Kinnucan  <paulk@mathworks.com>

	* ChangeLog: Updated to latest changes.

	* jde.el:
	Restore require for jde-plugins package. This package is now in the CVS repository.

	* beanshell.el:
	Added a require statement for the comint package. This is not necessary for use with the JDEE, which already requires comint, but may be necessary when beanshell.el is used independently of the JDEE.

	* jde-plugins.el: Initial revision.

	* dist.makefile: Add jde-plugins.el to JDEE distribution.

2003-04-16  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde.el:
	Restore require for jde-plugins package. This package is now in the CVS repository.

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Added a require statement for the comint package. This is not
	necessary for use with the JDEE, which already requires
	comint, but may be necessary when beanshell.el is used
	independently of the JDEE.

	* /pack/anoncvs/jde/lisp/jde-plugins.el: Initial revision.

	* /pack/anoncvs/jde/lisp/dist.makefile:
	Add jde-plugins.el to JDEE distribution.

2003-04-11  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Removes require clause for missing library, jde-plugins. It was
	breaking the byte compilation.

	* /pack/anoncvs/jde/lisp/beanshell.el: Fixes typo, orer to oref.

2003-04-11  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Removes require clause for missing library, jde-plugins. It was
	breaking the byte compilation.

	* /pack/anoncvs/jde/lisp/beanshell.el: Fixes typo, orer to oref.

2003-04-09  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde-util.el:
	Adds jde-root function. Rewrote jde-find-jde-data-directory to use jde-root function.

	* /pack/anoncvs/jde/lisp/jde.el:
	Moved jde-find-jde-data-directory to jde-util package.

	* /pack/anoncvs/jde/lisp/jde-wiz.el: Tiny docstring change.

2003-04-09  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-import.el:
	Updates method call from jde-import-insert-imports to jde-import-insert-import.

2003-04-08  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde-compile.el:
	Fixes regression that causes compilation buffer's default
	directory to be set incorrectly. Also rename compile
	server buffer from *compilation* to *JDEE Compile Server*

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Fixes bug that caused the working directory of the compilation buffer to be set incorrectly. Also add methods to bsh-compilation-buffer class that simplify subclassing.

2003-04-06  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde-import.el:
	Fixed regression caused by Andy's efc XEmacs compatibility
	changes. The regression was caused by the plural in the name
	jde-import-choose-imports which implies that it should return a list
	of imports selected by a user when in fact it should return only
	one. The plural misled Andy to enclose the import selected by the user
	in a list. I removed the enclosing list and I renamed the function and
	a set of other similarly misnamed functions to the singular, e.g.,
	jde-import-choose-import, to reflect the fact that they actually
	insert only a single import.

	* /pack/anoncvs/jde/lisp/jde.el:
	Renamed jde-bsh to jde-bsh-run to avoid conflict with class name.

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Fixed bugs caused by not handling the case when the user has killed a
	Beanshell buffer. Also added a bsh-create-buffer method to allow
	derived classes to override the type of buffer used to interact
	with the BeanShell.

2003-04-05  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Note new jde-compile-jump-to-first-error option.

	* /pack/anoncvs/jde/lisp/jde-compile.el:
	Added jde-compile-jump-to-first-error option. Thanks to Sean Wellington.

2003-04-04  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-compile.el:
	Adds the source argument to the jikes compiler.

2003-04-01  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/dist.makefile:
	Added efc-xemacs.el and jde-xemacs.el to the JDEE distribution.

	* /pack/anoncvs/jde/lisp/jde-compat.el: Add change log to end of file.

2003-03-28  andyp  <andyp@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-run.el, /pack/anoncvs/jde/lisp/jde-stat.el, /pack/anoncvs/jde/lisp/jde-wiz.el, /pack/anoncvs/jde/lisp/jde-xemacs.el, /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/efc-xemacs.el, /pack/anoncvs/jde/lisp/efc.el, /pack/anoncvs/jde/lisp/jde-ant.el, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-compat.el, /pack/anoncvs/jde/lisp/jde-db.el, /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde-ejb.el, /pack/anoncvs/jde/lisp/jde-import.el, /pack/anoncvs/jde/lisp/jde-parse.el, /pack/anoncvs/jde/lisp/ChangeLog, /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	XEmacs optimizations for JDEbug and efc.

2003-03-19  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Updated doc for jde-wiz-include-javadoc, jde-wiz-generate-interface, jde-wiz-delegate,
	jde-wiz-generate-abstract-class commands.

2003-03-13  ahyatt  <ahyatt@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-class.el: Added CVS tags

2003-03-10  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Note change to jde-run-option-debug.

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Simplified data type of jde-run-option-debug and set it off by default.

2003-03-08  ahyatt  <ahyatt@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-parse-class.el:
	Now parses exception information

	* /pack/anoncvs/jde/lisp/jde-xref.el:
	Simplified using new jde-class functionality

2003-03-04  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde-ant.el, /pack/anoncvs/jde/lisp/jde.el:
	Updated to use the new bsh-get-process method provided
	by bsh to get its process. This is necessary to insulate
	clients from the fact that bsh now uses a bsh-buffer
	object to wrap the Emacs Lisp buffer object that specifies
	the associated process.

	* /pack/anoncvs/jde/lisp/jde-compile.el:
	Updated the compile server to use the new compilation-mode buffer support
	provided by bsh class.

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Made the following changes to provide generalized support
	for displaying BeanShell output in a compilation-mode buffer.

	- Defined a new eieio class hierarchy that wraps Emacs buffers.
	  The hierarchy contains three classes: bsh-buffer, the base,
	  and bsh-comint-buffer and bsh-compilation-buffer class, which
	  wrap comint-mode and compilation-mode buffers, respectively.

	- Added a bsh-buffer-eval method to the bsh class that displays
	  the results of evaluating a Java expression in a specified
	  bsh-buffer.

2003-03-03  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Fixes a few formatting problems with jde-gen-generic-wrapper.

2003-03-01  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Adds notes for the addition of jde-gen-if-wrapper and jde-gen-if-else-wrapper.

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Add jde-gen-if-wrapper and jde-gen-if-else-wrapper.

2003-02-28  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-ant.el:
	Adds support to jde-ant-complete-target to complete multiple targets.

	* /pack/anoncvs/jde/lisp/jde-import.el:
	Fixes bug in jde-import-insert-imports.
	If new-imports contain only one import and this import is excluded the
	code was importing a nil value.

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-compile.el:
	Adds customization variable jde-compile-enable-kill-buffer. If true the
	jde-compile-finish-kill-buffer hook will kill the compilation buffer.

2003-02-26  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Adds color to the list of breakpoints.
	The color correspond to the status of the breakpoint, active, speficied,
	or requested.

	* /pack/anoncvs/jde/lisp/jde-import.el, /pack/anoncvs/jde/lisp/jde-parse.el:
	Supresses more error messages when completing.

2003-02-25  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Removes the file name from the breakpoints list.
	Changes the format to class:line number.

	* /pack/anoncvs/jde/lisp/jde-jdb.el:
	Fixes bug setting breakpoints that will leave breakpoints mark as
	deferred even though they are not.

	* /pack/anoncvs/jde/lisp/jde-jdb.el:
	Fixes regression bug. Updates the remaining jde-db-debuggee to jde-jdb-debuggee.

	* /pack/anoncvs/jde/lisp/jde.el: Fixes typo.

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Removes error messages that is not needed anymore.

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Fixes bug with jde-parse-get-qualified-name.

	* /pack/anoncvs/jde/lisp/jde-help.el, /pack/anoncvs/jde/lisp/jde-parse.el, /pack/anoncvs/jde/lisp/jde-wiz.el:
	Modifies jde-parse-get-qualified-name to take an extra parameters.
	If it does not find the qualified name it tries importing the class.
	And updates a few places where it is call to do that.

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Modifies jde-parse-get-qualified-name to take an extra parameters.
	If it does not find the qualified name it tries importing the class.

2003-02-25  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde.el:
	- Moved jde-debug command to jde-db.el and reimplemented it so that
	  it works for both jdb and JDEbug.

	- Changing jde-mode-abbreviations now updates all the Java source
	  buffers in the current project.

	* /pack/anoncvs/jde/lisp/jde-db.el, /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde-jdb.el:
	Created a generalized jde-debug command and wired it up to jdb.
	Next step is to wire it up to JDEbug.

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Fixes defadvice bug that disables eldoc-print-current-symbol-info
	in all modes but emacs-lisp-mode and jde-mode. Thanks to ABE Yasushi.

	* /pack/anoncvs/jde/lisp/jde-import.el:
	Fix bug that causes jde-import-organize to insert the group name
	multiple times when called repeatedly.
	Thanks to Joshua Spiewak <JSpiewak@axeda.com>

2003-02-25  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-jdb.el:
	Sets a main-class when attaching or listening through jdb to avoid
	an unbound error.

2003-02-24  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-jdb.el:
	Fixes bug in jde-db-listener-filter-output.

2003-02-24  nsieger  <nsieger@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-juci.el:
	Get rid of the defun-juci mechanism and declarative elisp functions
	that map to java methods -- it didn't feel right, and is probably not
	the standard way of doing things in Elisp.  Better to be explicit and
	pass the args directly to jde-juci-invoke-java.

2003-02-23  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde-checkstyle.el:
	Adds a variable jde-checkstyle-configuration-file to specify xml config file 
	required by Checkstyle 3.0.
	Thanks to Joshua Spiewak <JSpiewak@axeda.com>.

2003-02-18  nsieger  <nsieger@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-juci.el:
	Ensure that a lisp result is written every time a java method or
	beanshell script is invoked to suppress beanshell warnings

	* /pack/anoncvs/jde/lisp/jde-juci.el:
	Downcase variable names; use jde-jeval instead of bsh-eval

2003-02-18  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jcomplete.el, /pack/anoncvs/jde/lisp/jde-complete.el, /pack/anoncvs/jde/lisp/jde-import.el, /pack/anoncvs/jde/lisp/jde-juci.el, /pack/anoncvs/jde/lisp/jde-wiz.el, /pack/anoncvs/jde/lisp/jde.el:
	Fixes regression bugs.

2003-02-17  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Note changes to beanshell.el.

2003-02-17  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Fixes bug with jde-gen-change-listener-template.

	* /pack/anoncvs/jde/lisp/jde-ant.el: Fixes regression bug.

2003-02-17  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde-ant.el, /pack/anoncvs/jde/lisp/jde-compile.el, /pack/anoncvs/jde/lisp/jde-wiz.el, /pack/anoncvs/jde/lisp/jde.el:
	Changes required to support new package-independent version of beanshell.el

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Refactors beanshell.el so that it supports but does not require the
	JDEE. This allows beanshell.el to be used to support other Emacs
	applications that want to use Java as an extension language. See
	the package commentary for more information.

2003-02-17  nsieger  <nsieger@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-juci.el:
	One-way invocation of named Beanshell scripts working with defun-juci
	macro

2003-02-15  nsieger  <nsieger@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-juci.el:
	Initial JUCI (JDEE Universal Communication Interface) checkin.  No
	code is loaded or built into the JDEE distribution or runtime yet.

	* /pack/anoncvs/jde/lisp/beanshell.el (bsh-eval):
	Add second optional IGNORE-EMPTY parameter which
	suppresses errors if evaluation produces no forms.  Part of initial
	JUCI checkin, which necessitated this feature.

2003-02-10  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Fixes regression bug. Readds jde-debug method.

2003-02-07  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Adds notes for the added support of assertion functionality.

	* /pack/anoncvs/jde/lisp/jde-java-font-lock.el:
	Adds assert as a keyword to be fortified.
	Ideally we want the assert keyword fortified only when the user
	is using jdk 1.4 but I don't know of a good way of enabling/disabling
	fortifying a keyword based on another parameter. Since fortifying does
	not cause any harm, I rather have it fortified always. This might prevent
	users from using the assert keyword and causing them problem if they
	want to upgrade to 1.4 and use assertions.

	* /pack/anoncvs/jde/lisp/jde-compile.el:
	Adds jde-compile-option-source to be compile 1.4 code with
	the assert key word on it.

2003-01-31  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-ant.el:
	Fixes regression bug for XEmacs. "'" Causes in XEmacs not to be able to
	find the buildfile.

2003-01-27  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Moved error-handling for when jde-get-tools-jar returns a nil value into
	jde-get-tools-jar itself.

	* /pack/anoncvs/jde/lisp/jde.el:
	jde-get-jdk-dir now uses javac instead of java as the JDK program to look
	for when searching exec-path for the JDK. This eliminates false hits on
	instances of java that were not installed as part of a JDK.

2003-01-26  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde.el:
	Fix jde-get-global-classpath to normalize the value of CLASSPATH using
	the standard interpretation of the relative path character (.) rather
	than the project-relative interpretation.

	* /pack/anoncvs/jde/lisp/jde.el:
	Fix to jde-create-prj-values-str to handle the case where the CLASSPATH
	has backslashes. Thanks to Martin Schwamberger.

2003-01-23  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Note fix to jde-parse-class exists.

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Added check to ensure that the name argument to jde-parse-class-exists is
	a string. This fixes bug where jde-complete was passing a nil argument to
	jde-parse-exists-class-exists.

2003-01-23  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-ant.el:
	Fixes bug when using ant.bat, double quotes seem to cause problems.
	Fix to use jde-normalize-path when jde-ant-program is not ant or ant.bat.

2003-01-22  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Adds note for normalization of jde-ant-program.

	* /pack/anoncvs/jde/lisp/jde-ant.el: Normalizes jde-ant-program.

2003-01-21  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Adds jde-gen-change-listener to the listeners submenu.

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Adds notes for the addition of the change listener.

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Adds jde-gen-change-listener template.

	* /pack/anoncvs/jde/lisp/jde-ant.el:
	XEmacs compatibility fix, history seems to be a reserve word
	in XEmacs.

2003-01-21  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Note new class browser command and browse menu.

	* /pack/anoncvs/jde/lisp/jde.el:
	- Adds jde-browse-class-at-point command. This command displays
	  the class at point in the BeanShell class browser.

	- Replaces Speedbar menu item with a Browse submenu
	  containing the items Browse->Source and
	  Browse->Class at Point. The first displays the
	  speedbar. The second invokes the
	  jde-browse-class-at-point command.

2003-01-20  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Slightly expanded error message for not being able to find the JDK tools jar file.

2003-01-19  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde-checkstyle.el:
	Removed aliasing of jde-build-classpath to jde-run-build-classpath-arg. I don't understand
	why that was done but it seems very bad for this file to change the definition of
	such an important function.

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: Note changes to jde-ejb.el.

	* /pack/anoncvs/jde/lisp/jde-ejb.el:
	Updated to reflect EJB 2.x. Thanks to Yoon Kyung Koo.

2003-01-17  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-import.el:
	Fixes regression bug causing excluded imports to show in the
	import list.
	Fixes typo in jde-import-insert-imports. It was using new-imports instead
	of candidate-imports.

2003-01-12  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-widgets.el:
	Small, patch to reduce the amount of cases that cause infinite recursion.

2003-01-12  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: cosmetic changes

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: Note import wizard changes.

	* /pack/anoncvs/jde/lisp/jde-import.el:
	- Check whether import already exists AFTER the user selects the
	  import. This is to prevent the JDE from importing a class that
	  is already imported but from a different package.
	- Display message when the buffer already imports the specified class.
	- Clean up the code.

2003-01-12  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Add notes for a bug fix to jde-bug-set-breakpoint.
	and for new jde-debug-list-breakpoints command.

	* /pack/anoncvs/jde/lisp/jde-jdb.el:
	Adds command List Breakpoints to the JDB menu.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Adds function jde-debug-list-breakpoints.

	* /pack/anoncvs/jde/lisp/jde-bug.el:
	Fixes bug in jde-bug-set-breakpoint.
	The line number was not being set for new breakpoints with this method.

2003-01-12  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde-help.el:
	Some HTML validity tweaks to jde_meta.html and add window.focus() so the
	browser window gets raised when new content is loaded into it.
	Thanks to Ville Skyttä <scop@xemacs.org>.

2003-01-10  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: Note fix to import wizard.

	* /pack/anoncvs/jde/lisp/jde-import.el:
	Fix jde-import-strip-existing-imports so that it handles package import statements.

2003-01-09  ahyatt  <ahyatt@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Beanshell should be started with an expanded classpath

2003-01-09  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Adds notes for jdb additions.

	* /pack/anoncvs/jde/lisp/jde-jdb.el:
	Exposes the jdb methods: print, dump, eval, set, and locals.

2003-01-08  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-jdb.el: Fixes typo in menu.

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Removes duplicate definition of jde-run-get-vm.

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Adds notes for bug fix to jdb.

2003-01-07  ahyatt  <ahyatt@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-xref.el:
	Needed to clear the cache after updating.

2003-01-07  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-jdb.el:
	Fixes bug that would parse line number higher than 999.
	JDB prints out the number as 1,999.

2003-01-04  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-ant.el: Fixes regression bug.
	Uncomments jde-ant-interactive-args-history definition.

2003-01-03  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Add notes for a couple of bug fixes.

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Fixes bug that was not adding the ant jar files to the beanshell classpath
	when jde-ant-home is not bound. This could happen because the jde-ant
	package has not been loaded.

	* /pack/anoncvs/jde/lisp/jde-open-source.el:
	Fixes bug handling finding method definition in a super class.
	The code was parsing the java file from where it was invoked instead
	of the class file that was pertinent.

2003-01-02  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: Note typo fix.

	* /pack/anoncvs/jde/lisp/jde.el:
	Fixed typo in binding for jde-jdb-menu-debug-applet.
	Thanks to Matt Watson.

2003-01-02  ahyatt  <ahyatt@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-xref.el:
	Added ability for calls to superclasses to show up (under non-strict
	mode) as calls to the subclass.  So if class B inherits from class A,
	then a call to a method on a class of type A (at compile time), may in
	fact call a method on B at runtime.  This is turned off in STRICT mode.

2002-12-30  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-autoload.el, /pack/anoncvs/jde/lisp/jde.el:
	Minor tweaks for JDEE 2.3.2

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Define bsh-script-mode for editing BeanShell scripts.

	* /pack/anoncvs/jde/lisp/jde-autoload.el: Updated for next release.

	* /pack/anoncvs/jde/lisp/jde-javadoc-gen.el:
	Fixed regression in jde-javadoc-make command.

2002-12-26  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde.el:
	- Removed the obsolete function jde-set-compiler.
	- Fixed jde-set-global-classpath to set jde-global-classpath correctly.

2002-12-21  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde-checkstyle.el:
	Fix bug in generation of jde-checkstyle-option-lcurly-method option. Thanks to ABE Yasushi.

	* /pack/anoncvs/jde/lisp/jde-javadoc-gen.el:
	Fix docstring for jde-javadoc-gen-destination-directory.

	* /pack/anoncvs/jde/lisp/jde.el:
	Fix docstring for jde-global-classpath.

	* /pack/anoncvs/jde/lisp/jde-javadoc-gen.el:
	Normalize jde-javadoc-gen-destination-directory.

2002-12-19  ahyatt  <ahyatt@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el:
	Should have used slot-boundp instead of slot-existsp

	* /pack/anoncvs/jde/lisp/jde-dbo.el:
	Fixed problem with nulls in the tree-view display

2002-12-19  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde-package.el:
	Update customization variables when jde-package.el is loaded.

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-autoload.el, /pack/anoncvs/jde/lisp/jde-gen.el, /pack/anoncvs/jde/lisp/jde.el:
	Changed to permit autoloading of jde-package.el file.

	* /pack/anoncvs/jde/lisp/jde-package.el:
	Fixed a bug caused by treating "." as a standard relative path character
	instead of a project file relative path character.
	Fixed and expanded some doc strings.

2002-12-18  ahyatt  <ahyatt@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-xref.el:
	Fixes a usability problem with call-trees, and fixes a bug where some
	classes never get added to the xref database

2002-12-16  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/dist.makefile:
	Add jde-ejb.el to the distribution.

2002-12-14  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: Notes for more ant changes.

	* /pack/anoncvs/jde/lisp/jde-ant.el: Fixes regression bug.

	* /pack/anoncvs/jde/lisp/jde-ant.el:
	Removes incompatibility between jde-ant-enable-find and jde-ant-read-buildfile.

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Notes for recent changes to jde-ant.

	* /pack/anoncvs/jde/lisp/jde-ant.el:
	Changes the target history to be specific to each buildfile.

2002-12-14  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde-help.el:
	The jde-help-show-class-member-doc now opens the jde-metafile.html helper file as a raw file. This avoids loading any html modes associated with html files on a user's system. This in turn fixes a bug whereby displaying JAVA API doc triggers loading of html32-mode which in turn turns on transient mark mode. Thanks to James Cox for this fix.

2002-12-14  jslopez  <jslopez@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Adds all the jar files in the ant/lib directory to the beanshell classpath.

	* /pack/anoncvs/jde/lisp/jde-ant.el:
	Fixes quoting the classpath for the Java invocation method.
	Fixes the jde-ant-build-classpath command to grab the jar files
	in the ANT_HOME/lib directory.

2002-12-13  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Enhance the following code templates

	  - jde-gen-interface-buffer-template
	  - jde-gen-console-buffer-template
	  - jde-gen-jfc-app-buffer-template
	  - jde-gen-junit-test-class-buffer-template

	to use the following javadoc templates instead of
	literal text:

	  - jde-javadoc-author-tag-template
	  - jde-javadoc-version-tag-template
	  - jde-javadoc-end-block-template

	Thanks to Peter Dobratz <dobratzp@ele.uri.edu>.

	* /pack/anoncvs/jde/lisp/jde-checkstyle.el:
	Fix typo in defcustom for jde-checkstyle-option-illegal-instantiations.

2002-12-12  Paul Kinnucan  <paulk@mathworks.com>

	* /pack/anoncvs/jde/lisp/jde-compile.el:
	Fixed bug  that caused the compile command to fail when jikes
	is the compiler and jde-compiler does not specify the path of the
	jikes executable.

2002-12-10  ahyatt  <ahyatt@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el:
	Previous changes did not work on slightly older versions of emacs.
	Also, there were problems when opening a debug frame when attached to
	a process.

2002-12-09  Andy Piper  <andy@xemacs.org>

	* jde-bug.el (jde-bug-minor-mode): move menu initialization to
	jde-xemacs.el. Add a new hook jde-bug-minor-mode-hook.

	* jde-xemacs.el: new file encapsulating XEmacs specific JDEE
	features.

	* efc-xemacs.el: new file encapsulating XEmacs specific efc
	support.

2002-10-18  Andy Piper  <andy@xemacs.org>

	* jde-dbs.el (jde-dbs-debugger-hook): new hook run when the
	debugger starts or stops.

	* jde-import.el (jde-import-choose-imports): use
	efc-query-options.
	* jde-parse.el (jde-parse-select-qualified-class-name): ditto.
	* jde-wiz.el (jde-wiz-implement-interface-internal): ditto.
	(jde-wiz-implement-event-source-internal): ditto.
	(jde-wiz-extend-abstract-class-internal): ditto.
